description vpns over srv6 over ebgp

addrouter r1
int eth1 eth 0000.0000.1111 $1a$ $1b$
!
vrf def v1
 rd 1:1
 exit
vrf def v2
 rd 1:2
 rt-both 1:2
 exit
vrf def v3
 rd 1:3
 rt-both 1:3
 exit
vrf def v4
 rd 1:4
 rt-both 1:4
 exit
int lo2
 vrf for v2
 ipv4 addr 9.9.2.1 255.255.255.255
 ipv6 addr 9992::1 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int lo3
 vrf for v3
 ipv4 addr 9.9.3.1 255.255.255.255
 ipv6 addr 9993::1 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int lo4
 vrf for v4
 ipv4 addr 9.9.4.1 255.255.255.255
 ipv6 addr 9994::1 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int eth1
 vrf for v1
 ipv4 addr 1.1.1.1 255.255.255.0
 ipv6 addr 1234::1 ffff:ffff::
 exit
int tun1
 vrf for v1
 ipv6 addr 4321:1:: ffff:ffff::
 tun sour eth1
 tun dest 4321:1::
 tun vrf v1
 tun mod srv6
 exit
ipv6 route v1 4321:2:: ffff:ffff:: 1234::2
router bgp4 1
 vrf v1
 no safe-ebgp
 address vpnuni ovpnuni
 local-as 1
 router-id 4.4.4.1
 neigh 1.1.1.2 remote-as 2
 neigh 1.1.1.2 send-comm both
 neigh 1.1.1.2 segrou
 afi-vrf v3 ena
 afi-vrf v3 srv6 tun1
 afi-vrf v3 red conn
 afi-ovrf v3 ena
 afi-ovrf v3 srv6 tun1
 afi-ovrf v3 red conn
 exit
router bgp6 1
 vrf v1
 no safe-ebgp
 address vpnuni ovpnuni
 local-as 1
 router-id 6.6.6.1
 neigh 1234::2 remote-as 2
 neigh 1234::2 send-comm both
 neigh 1234::2 segrou
 afi-vrf v2 ena
 afi-vrf v2 srv6 tun1
 afi-vrf v2 red conn
 afi-vrf v4 ena
 afi-vrf v4 srv6 tun1
 afi-vrf v4 red conn
 afi-ovrf v2 ena
 afi-ovrf v2 srv6 tun1
 afi-ovrf v2 red conn
 afi-ovrf v4 ena
 afi-ovrf v4 srv6 tun1
 afi-ovrf v4 red conn
 exit
!

addrouter r2
int eth1 eth 0000.0000.2222 $1b$ $1a$
!
vrf def v1
 rd 1:1
 exit
vrf def v2
 rd 1:2
 rt-both 1:2
 exit
vrf def v3
 rd 1:3
 rt-both 1:3
 exit
vrf def v4
 rd 1:4
 rt-both 1:4
 exit
int lo2
 vrf for v2
 ipv4 addr 9.9.2.3 255.255.255.255
 ipv6 addr 9992::3 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int lo3
 vrf for v3
 ipv4 addr 9.9.3.3 255.255.255.255
 ipv6 addr 9993::3 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int lo4
 vrf for v4
 ipv4 addr 9.9.4.3 255.255.255.255
 ipv6 addr 9994::3 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int eth1
 vrf for v1
 ipv4 addr 1.1.1.2 255.255.255.0
 ipv6 addr 1234::2 ffff:ffff::
 exit
int tun1
 vrf for v1
 ipv6 addr 4321:2:: ffff:ffff::
 tun sour eth1
 tun dest 4321:2::
 tun vrf v1
 tun mod srv6
 exit
ipv6 route v1 4321:1:: ffff:ffff:: 1234::1
router bgp4 1
 vrf v1
 no safe-ebgp
 address vpnuni ovpnuni
 local-as 2
 router-id 4.4.4.2
 neigh 1.1.1.1 remote-as 1
 neigh 1.1.1.1 send-comm both
 neigh 1.1.1.1 segrou
 afi-vrf v3 ena
 afi-vrf v3 srv6 tun1
 afi-vrf v3 red conn
 afi-ovrf v3 ena
 afi-ovrf v3 srv6 tun1
 afi-ovrf v3 red conn
 exit
router bgp6 1
 vrf v1
 no safe-ebgp
 address vpnuni ovpnuni
 local-as 2
 router-id 6.6.6.3
 neigh 1234::1 remote-as 1
 neigh 1234::1 send-comm both
 neigh 1234::1 segrou
 afi-vrf v2 ena
 afi-vrf v2 srv6 tun1
 afi-vrf v2 red conn
 afi-vrf v4 ena
 afi-vrf v4 srv6 tun1
 afi-vrf v4 red conn
 afi-ovrf v2 ena
 afi-ovrf v2 srv6 tun1
 afi-ovrf v2 red conn
 afi-ovrf v4 ena
 afi-ovrf v4 srv6 tun1
 afi-ovrf v4 red conn
 exit
!




r1 tping 100 60 1234::2 vrf v1
r2 tping 100 60 1234::1 vrf v1

r1 tping 100 60 9.9.2.3 vrf v2
r2 tping 100 60 9.9.2.1 vrf v2
r1 tping 100 60 9992::3 vrf v2
r2 tping 100 60 9992::1 vrf v2

r1 tping 100 60 9.9.3.3 vrf v3
r2 tping 100 60 9.9.3.1 vrf v3
r1 tping 100 60 9993::3 vrf v3
r2 tping 100 60 9993::1 vrf v3

r1 tping 100 60 9.9.4.3 vrf v4
r2 tping 100 60 9.9.4.1 vrf v4
r1 tping 100 60 9994::3 vrf v4
r2 tping 100 60 9994::1 vrf v4
