description ebgp with backup peer

addrouter r1
int eth1 eth 0000.0000.1111 $1a$ $1b$
int eth2 eth 0000.0000.1111 $2a$ $2b$
!
vrf def v1
 rd 1:1
 exit
int lo0
 vrf for v1
 ipv4 addr 2.2.2.1 255.255.255.255
 ipv6 addr 4321::1 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int eth1
 vrf for v1
 ipv4 addr 1.1.1.1 255.255.255.252
 ipv6 addr 1234:1::1 ffff:ffff::
 exit
int eth2
 vrf for v1
 ipv4 addr 1.1.2.1 255.255.255.252
 ipv6 addr 1234:2::1 ffff:ffff::
 exit
router bgp4 1
 vrf v1
 no safe-ebgp
 address uni
 local-as 1
 router-id 4.4.4.1
 neigh 1.1.1.2 remote-as 2
 neigh 1.1.1.2 distance 10
 neigh 1.1.2.2 remote-as 2
 neigh 1.1.2.2 backup 1.1.1.2
 red conn
 exit
router bgp6 1
 vrf v1
 no safe-ebgp
 address uni
 local-as 1
 router-id 6.6.6.1
 neigh 1234:1::2 remote-as 2
 neigh 1234:1::2 distance 10
 neigh 1234:2::2 remote-as 2
 neigh 1234:2::2 backup 1234:1::2
 red conn
 exit
!

addrouter r2
int eth1 eth 0000.0000.2222 $1b$ $1a$
int eth2 eth 0000.0000.2222 $2b$ $2a$
!
vrf def v1
 rd 1:1
 exit
access-list test4
 deny all 2.2.2.0 255.255.255.0 all any all
 deny all any all 2.2.2.0 255.255.255.0 all
 permit all any all any all
 exit
access-list test6
 deny all 4321:: ffff:ffff:ffff:ffff:ffff:ffff:ffff:0 all any all
 deny all any all 4321:: ffff:ffff:ffff:ffff:ffff:ffff:ffff:0 all
 permit all any all any all
 exit
int lo0
 vrf for v1
 ipv4 addr 2.2.2.2 255.255.255.255
 ipv6 addr 4321::2 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int eth1
 vrf for v1
 ipv4 addr 1.1.1.2 255.255.255.252
 ipv6 addr 1234:1::2 ffff:ffff::
 ipv4 access-group-in test4
 ipv6 access-group-in test6
 exit
int eth2
 vrf for v1
 ipv4 addr 1.1.2.2 255.255.255.252
 ipv6 addr 1234:2::2 ffff:ffff::
 exit
router bgp4 1
 vrf v1
 no safe-ebgp
 address uni
 local-as 2
 router-id 4.4.4.2
 neigh 1.1.1.1 remote-as 1
 neigh 1.1.1.1 distance 10
 neigh 1.1.2.1 remote-as 1
 red conn
 exit
router bgp6 1
 vrf v1
 no safe-ebgp
 address uni
 local-as 2
 router-id 6.6.6.2
 neigh 1234:1::1 remote-as 1
 neigh 1234:1::1 distance 10
 neigh 1234:2::1 remote-as 1
 red conn
 exit
!

r1 tping 100 60 1.1.1.2 vrf v1
r1 tping 100 60 1234:1::2 vrf v1
r1 tping 100 60 1.1.2.2 vrf v1
r1 tping 100 60 1234:2::2 vrf v1

r2 tping 100 60 1.1.1.1 vrf v1
r2 tping 100 60 1234:1::1 vrf v1
r2 tping 100 60 1.1.2.1 vrf v1
r2 tping 100 60 1234:2::1 vrf v1

r1 tping 0 60 2.2.2.2 vrf v1
r1 tping 0 60 4321::2 vrf v1
r2 tping 0 60 2.2.2.1 vrf v1
r2 tping 0 60 4321::1 vrf v1

r1 send conf t
r1 send router bgp4 1
r1 send neigh 1.1.1.2 shut
r1 send exit
r1 send router bgp6 1
r1 send neigh 1234:1::2 shut
r1 send end

r1 tping 100 60 2.2.2.2 vrf v1
r1 tping 100 60 4321::2 vrf v1
r2 tping 100 60 2.2.2.1 vrf v1
r2 tping 100 60 4321::1 vrf v1
