description recursive static routing with labels

addrouter r1
int eth1 eth 0000.0000.1111 $1a$ $1b$
!
vrf def v1
 rd 1:1
 exit
access-list test4
 deny 1 any all any all
 permit all any all any all
 exit
access-list test6
 deny all 4321:: ffff:: all 4321:: ffff:: all
 permit all any all any all
 exit
int lo0
 vrf for v1
 ipv4 addr 2.2.2.101 255.255.255.255
 ipv6 addr 4321::101 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int lo1
 vrf for v1
 ipv4 addr 2.2.2.102 255.255.255.255
 ipv6 addr 4321::102 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int eth1
 vrf for v1
 ipv4 addr 1.1.1.1 255.255.255.252
 ipv6 addr 1234:1::1 ffff:ffff::
 ipv4 access-group-in test4
 ipv6 access-group-in test6
 mpls ena
 exit
ipv4 route v1 0.0.0.0 0.0.0.0 1.1.1.2 mplsexp
ipv6 route v1 :: :: 1234:1::2 mplsexp
!

addrouter r2
int eth1 eth 0000.0000.2222 $1b$ $1a$
int eth2 eth 0000.0000.2222 $2a$ $2b$
!
vrf def v1
 rd 1:1
 exit
access-list test4
 deny 1 any all any all
 permit all any all any all
 exit
access-list test6
 deny all 4321:: ffff:: all 4321:: ffff:: all
 permit all any all any all
 exit
int lo0
 vrf for v1
 ipv4 addr 2.2.2.222 255.255.255.255
 ipv6 addr 4321::222 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int lo1
 vrf for v1
 ipv4 addr 2.2.2.111 255.255.255.255
 ipv6 addr 4321::111 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int eth1
 vrf for v1
 ipv4 addr 1.1.1.2 255.255.255.252
 ipv6 addr 1234:1::2 ffff:ffff::
 ipv4 access-group-in test4
 ipv6 access-group-in test6
 mpls ena
 exit
int eth2
 vrf for v1
 ipv4 addr 1.1.1.6 255.255.255.252
 ipv6 addr 1234:2::2 ffff:ffff::
 ipv4 access-group-in test4
 ipv6 access-group-in test6
 mpls ena
 exit
ipv4 route v1 2.2.2.101 255.255.255.255 1.1.1.1 mplsexp
ipv6 route v1 4321::101 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff 1234:1::1 mplsexp
ipv4 route v1 2.2.2.201 255.255.255.255 1.1.1.5 mplsexp
ipv6 route v1 4321::201 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff 1234:2::1 mplsexp
ipv4 route v1 2.2.2.102 255.255.255.255 2.2.2.101 recurigp mplsexp
ipv6 route v1 4321::102 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff 4321::101 recurigp mplsexp
ipv4 route v1 2.2.2.202 255.255.255.255 2.2.2.201 recurigp mplsexp
ipv6 route v1 4321::202 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff 4321::201 recurigp mplsexp
!

addrouter r3
int eth1 eth 0000.0000.3333 $2b$ $2a$
!
vrf def v1
 rd 1:1
 exit
access-list test4
 deny 1 any all any all
 permit all any all any all
 exit
access-list test6
 deny all 4321:: ffff:: all 4321:: ffff:: all
 permit all any all any all
 exit
int lo0
 vrf for v1
 ipv4 addr 2.2.2.201 255.255.255.255
 ipv6 addr 4321::201 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int lo1
 vrf for v1
 ipv4 addr 2.2.2.202 255.255.255.255
 ipv6 addr 4321::202 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
 exit
int eth1
 vrf for v1
 ipv4 addr 1.1.1.5 255.255.255.252
 ipv6 addr 1234:2::1 ffff:ffff::
 ipv4 access-group-in test4
 ipv6 access-group-in test6
 mpls ena
 exit
ipv4 route v1 0.0.0.0 0.0.0.0 1.1.1.6 mplsexp
ipv6 route v1 :: :: 1234:2::2 mplsexp
!


r2 tping 100 5 2.2.2.201 vrf v1 sou lo0
r2 tping 100 5 2.2.2.101 vrf v1 sou lo0
r2 tping 100 5 4321::201 vrf v1 sou lo0
r2 tping 100 5 4321::101 vrf v1 sou lo0
r1 tping 100 5 2.2.2.201 vrf v1 sou lo0
r1 tping 100 5 4321::201 vrf v1 sou lo0
r3 tping 100 5 2.2.2.101 vrf v1 sou lo0
r3 tping 100 5 4321::101 vrf v1 sou lo0

r2 tping 100 5 2.2.2.202 vrf v1 sou lo1
r2 tping 100 5 2.2.2.102 vrf v1 sou lo1
r2 tping 100 5 4321::202 vrf v1 sou lo1
r2 tping 100 5 4321::102 vrf v1 sou lo1
r1 tping 100 5 2.2.2.202 vrf v1 sou lo1
r1 tping 100 5 4321::202 vrf v1 sou lo1
r3 tping 100 5 2.2.2.102 vrf v1 sou lo1
r3 tping 100 5 4321::102 vrf v1 sou lo1

r2 output show ipv4 route v1
r2 output show ipv6 route v1
